Subject: Re: linux-next: add utrace tree

From: Steven Rostedt <[email-masked]>
Date: Mon, 25 Jan 2010 13:30:37 -0500

On Mon, 2010-01-25 at 10:12 -0800, Linus Torvalds wrote:

> But on the whole, I think it's actually worked out pretty well for them. I 
> think the mainline kernel has improved in the process, but I also suspect 
> that _their_ RT patches have also improved thanks to having to make the 
> work more palatable to people like me who don't care all that deeply about 
> their particular flavor of crazy.

Actually this is an understatement. Every feature (and I do mean
_every_) that went from -rt into mainline, undertook 3 or more rewrites
before it was acceptable for mainline. And every time, the end result
made the -rt patch set better as a whole.

Not to mention, that a lot of the early stuff also cleaned up mainline.
You can't have Real-Time without having a clean kernel. And as you
stated, a lot of those patches to clean up the kernel, no one even knew
that the real reason was to help the -rt patch set. They were well
disguised Trojan horses.

Darn, it looks like you are onto our scheme.

-- Steve